Change "View history" to "Previous versions"
Closed, DeclinedPublic

Description

As per discussions on wikimedia-l in 2012, it was proposed that the "View history" text be changed to "Previous versions".

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2015, 5:54 AM

I'm not sure whether this was already discussed and declined. If so, please close the task.

Just adding some people who might have some idea about this. Also, are there any projects that I missed?

matmarex removed a subscriber: matmarex.Sep 11 2015, 2:40 PM
Jdlrobson triaged this task as "Low" priority.Sep 24 2015, 12:16 AM
Jdlrobson added a subscriber: Jdlrobson.

Sounds good to me but needs more discussion.

in https://gerrit.wikimedia.org/r/#/c/243221/1
@Jforrester commented: This label MUST be a verb.

Purodha set Security to None.Oct 2 2015, 6:27 PM
Purodha added subscribers: siebrand, Edokter.

Change 243221 had a related patch set uploaded (by Alex Monk):
Change "View history" to "Previous versions"

https://gerrit.wikimedia.org/r/243221

Jdforrester-WMF closed this task as "Declined".Oct 2 2015, 7:05 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Per HCI standards.

Change 243221 abandoned by Jforrester:
Change "View history" to "Previous versions"

Reason:
Declined.

https://gerrit.wikimedia.org/r/243221

Is the only issue it being a verb? If so, we could go with "View previous versions", couldn't we?

The primary issue here as I understand it is the ambiguous meaning of the word "history".

Why would it have to be a verb? That seems like a very silly reason to block this. A number of translations (https://translatewiki.net/w/i.php?title=Special%3ATranslations&message=vector-view-history&namespace=8) already use just "History" instead of "View history".

Purodha added a comment.EditedOct 2 2015, 10:26 PM

Why would it have to be a verb?

All other action links in the extension are verbs. See:
https://git.wikimedia.org/blob/mediawiki%2Fskins%2FVector/3f1515a7b223793818c6ac82805ee3b6c462fe50/i18n%2Fen.json